| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::ScriptCompilerEvent Class Reference
Core » General

This struct is a base class for events which can be thrown by the compilers and caught by subscribers. More...

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::ScriptCompilerEvent:
[legend]

## Public Member Functions
| ScriptCompilerEvent (const String &type)
virtual | ~ScriptCompilerEvent ()

## Public Attributes
String | mType

## Detailed Description

This struct is a base class for events which can be thrown by the compilers and caught by subscribers.

There are a set number of standard events which are used by Ogre's core. New event types may be derived for more custom compiler processing.

## Constructor & Destructor Documentation

## ◆ ScriptCompilerEvent()

Ogre::ScriptCompilerEvent::ScriptCompilerEvent | ( | const String & | type | ) |
| inline

## ◆ ~ScriptCompilerEvent()

virtual Ogre::ScriptCompilerEvent::~ScriptCompilerEvent | ( |  | ) |
| inline virtual

## Member Data Documentation

## ◆ mType

String Ogre::ScriptCompilerEvent::mType

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h